package com.chenyang.nse.bussiness.entity.orm.table.base;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_appuser_config"
)
public class TBaseAppUser extends TInitEntity {
   @Column(
      length = 32
   )
   private String username;
   @Column(
      length = 32
   )
   private String useridentifier;
   @Column(
      length = 50
   )
   private String isoriginal;
   @Column(
      length = 1
   )
   private String ismask;

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getUseridentifier() {
      return this.useridentifier;
   }

   public void setUseridentifier(String useridentifier) {
      this.useridentifier = useridentifier;
   }

   public String getIsoriginal() {
      return this.isoriginal;
   }

   public void setIsoriginal(String isoriginal) {
      this.isoriginal = isoriginal;
   }

   public String getIsmask() {
      return this.ismask;
   }

   public void setIsmask(String ismask) {
      this.ismask = ismask;
   }
}
